CREATE TABLE IF NOT EXISTS results (
    id BIGSERIAL PRIMARY KEY,
    bet_outcome_id BIGINT NOT NULL,
    event_id BIGINT NOT NULL,
    odd_id BIGINT NOT NULL,
    market_id BIGINT NOT NULL,
    status INT NOT NULL,
    score VARCHAR(255),
    full_time_score VARCHAR(255),
    half_time_score VARCHAR(255),
    ss VARCHAR(255),
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (bet_outcome_id) REFERENCES bet_outcomes (id)
);
